Subject: [bug#53185] [PATCH 1/3] gnu: Add python-geojson.

From: phodina <[email-masked]>
Date: Sat, 29 Jan 2022 05:11:01 +0000

Thanks Ludo’,

> Hi,
>
> phodina [email-masked] skribis:
>
> > From e7995f7904fa6c51c8ef24e19cd5bb8396abe13d Mon Sep 17 00:00:00 2001
> >
> > From: Petr Hodina [email-masked]
> >
> > Date: Tue, 11 Jan 2022 11:28:57 +0100
> >
> > Subject: [PATCH 2/3] gnu: Add python-pyowm.
> >
> > -   gnu/packages/python-web.scm (python-pyowm): New variable.
>
> [...]
>
> > From d3287c48bb665ac08e95b9e65bc21c79c4207894 Mon Sep 17 00:00:00 2001
> >
> > From: Petr Hodina [email-masked]
> >
> > Date: Tue, 11 Jan 2022 11:28:17 +0100
> >
> > Subject: [PATCH 1/3] gnu: Add python-geojson.
> >
> > -   gnu/packages/python-xyz.scm (python-geojson): New variable.
>
> [...]
>
> > From 1cb1ea2208e1575b3cdf5539644c9e4e435c0fab Mon Sep 17 00:00:00 2001
> >
> > From: Petr Hodina [email-masked]
> >
> > Date: Tue, 11 Jan 2022 11:29:23 +0100
> >
> > Subject: [PATCH 3/3] gnu: Add wfetch.
> >
> > -   gnu/packages/admin.scm (wfetch): New variable.
>
> Applied, after tweaking synopses/descriptions, moving wfetch to
>
> python-xyz.scm (since it has nothing to do with system administration)
>
> and fixing its ‘home-page’.
>
> Please pay attention to these things for subsequent patches and you may
>
> benefit from faster review in return. :-)
>
> Thanks,
>
> Ludo’.

I've checked the diffs and your synopsis as well as description are more appropriate.

I agree that the package wfetch belongs into python-xyz.scm as it does nothing special. The reason why I placed it in admin.scm was that I found about it due to pfetch and thought it's "smiliar". Then again it does not gather data from the system just fetches some weather info.

Thanks for catching the wrong homepage, as both projects were on github and had the same name it went unnoticed.

I'll be more vigilant next time :-)

----
Petr